import CJS_COMPAT_NODE_URL from 'node:url';
import CJS_COMPAT_NODE_PATH from 'node:path';
import CJS_COMPAT_NODE_MODULE from "node:module";

const __filename = CJS_COMPAT_NODE_URL.fileURLToPath(import.meta.url);
const __dirname = CJS_COMPAT_NODE_PATH.dirname(__filename);
const require = CJS_COMPAT_NODE_MODULE.createRequire(import.meta.url);
// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  a as l,
  d as m
} from "./chunk-HRN2KQZP.js";

// ../node_modules/ts-dedent/dist/index.js
var y = m((i) => {
  "use strict";
  Object.defineProperty(i, "__esModule", { value: !0 });
  i.dedent = void 0;
  function v(o) {
    for (var f = [], u = 1; u < arguments.length; u++)
      f[u - 1] = arguments[u];
    var n = Array.from(typeof o == "string" ? [o] : o);
    n[n.length - 1] = n[n.length - 1].replace(/\r?\n([\t ]*)$/, "");
    var s = n.reduce(function(t, d) {
      var a = d.match(/\n([\t ]+|(?!\s).)/g);
      return a ? t.concat(a.map(function(g) {
        var e, r;
        return (r = (e = g.match(/[\t ]/g)) === null || e === void 0 ? void 0 : e.length) !== null && r !== void 0 ? r : 0;
      })) : t;
    }, []);
    if (s.length) {
      var h = new RegExp(`
[	 ]{` + Math.min.apply(Math, s) + "}", "g");
      n = n.map(function(t) {
        return t.replace(h, `
`);
      });
    }
    n[0] = n[0].replace(/^\r?\n/, "");
    var c = n[0];
    return f.forEach(function(t, d) {
      var a = c.match(/(?:^|\n)( *)$/), g = a ? a[1] : "", e = t;
      typeof t == "string" && t.includes(`
`) && (e = String(t).split(`
`).map(function(r, p) {
        return p === 0 ? r : "" + g + r;
      }).join(`
`)), c += e + n[d + 1];
    }), c;
  }
  l(v, "dedent");
  i.dedent = v;
  i.default = v;
});

export {
  y as a
};
